Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFraction Class Reference

`#include <deMath.hpp>`

Inheritance diagram for deFraction:

[legend]
Collaboration diagram for deFraction:

[legend]
List of all members.

## Public Member Functions
| deFraction ()
| deFraction (int Num)
| deFraction (int Num, int Den)
| deFraction (const deFraction &ref)
| deFraction (const deFractionInfo &ref)
| ~deFraction ()
| operator double () const
| operator float () const
int | Num () const
int | Den () const
deFraction | operator+ (const deFraction &rhs) const
deFraction | operator- (const deFraction &rhs) const
deFraction | operator * (const deFraction &rhs) const
deFraction | operator/ (const deFraction &rhs) const
deFraction | operator+ (int rhs) const
deFraction | operator- (int rhs) const
deFraction | operator * (int rhs) const
deFraction | operator/ (int rhs) const
deFraction & | operator+= (const deFraction &rhs)
deFraction & | operator-= (const deFraction &rhs)
deFraction & | operator *= (const deFraction &rhs)
deFraction & | operator/= (const deFraction &rhs)
const deFraction & | operator= (const deFraction &rhs)
const deFraction & | operator= (int rhs)
bool | operator== (const deFraction &rhs)
bool | operator== (int rhs)

## Constructor & Destructor Documentation

deFraction::deFraction | ( |  | ) | `[inline]`

deFraction::deFraction | ( | int | Num | ) | `[inline]`

deFraction::deFraction | ( | int | Num,
|  | int | Den
| ) | `[inline]`

deFraction::deFraction | ( | const deFraction & | ref | ) | `[inline]`

deFraction::deFraction | ( | const deFractionInfo & | ref | ) | `[inline]`

deFraction::~deFraction | ( |  | ) | `[inline]`

## Member Function Documentation

int deFraction::Den | ( |  | ) | const`[inline]`

int deFraction::Num | ( |  | ) | const`[inline]`

deFraction deFraction::operator * | ( | int | rhs | ) | const

deFraction deFraction::operator * | ( | const deFraction & | rhs | ) | const`[inline]`

deFraction& deFraction::operator *= | ( | const deFraction & | rhs | ) | `[inline]`

deFraction::operator double | ( |  | ) | const`[inline]`

deFraction::operator float | ( |  | ) | const`[inline]`

deFraction deFraction::operator+ | ( | int | rhs | ) | const

deFraction deFraction::operator+ | ( | const deFraction & | rhs | ) | const`[inline]`

deFraction & deFraction::operator+= | ( | const deFraction & | rhs | ) |

deFraction deFraction::operator- | ( | int | rhs | ) | const

deFraction deFraction::operator- | ( | const deFraction & | rhs | ) | const`[inline]`

deFraction & deFraction::operator-= | ( | const deFraction & | rhs | ) |

deFraction deFraction::operator/ | ( | int | rhs | ) | const

deFraction deFraction::operator/ | ( | const deFraction & | rhs | ) | const`[inline]`

deFraction& deFraction::operator/= | ( | const deFraction & | rhs | ) | `[inline]`

const deFraction& deFraction::operator= | ( | int | rhs | ) | `[inline]`

const deFraction& deFraction::operator= | ( | const deFraction & | rhs | ) | `[inline]`

bool deFraction::operator== | ( | int | rhs | ) |

bool deFraction::operator== | ( | const deFraction & | rhs | ) |

The documentation for this class was generated from the following files:

- deMath.hpp
- deFraction.cpp